SystemOrganization addCategory: #'PhysicalEtoys-Utilities'!

NCAAConnectorMorph subclass: #SimpleConnectorMorph
	instanceVariableNames: 'sourceMorphClass destinationMorphClass'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'PhysicalEtoys-Utilities'!

!SimpleConnectorMorph class methodsFor: 'as yet unclassified' stamp: 'Richo 8/25/2009 10:19'!
defaultNameStemForInstances
^'Wire'! !

!SimpleConnectorMorph class methodsFor: 'instance creation' stamp: 'Richo 8/25/2009 10:27'!
fromMorph: aMorph toMorph: anotherMorph sourceMorphClass: sourceMorphClass destinationMorphClass: destinationMorphClass
	^( (self
		fromMorph: aMorph
		toMorph: anotherMorph
		) setSourceMorphClass: sourceMorphClass destinationMorphClass: destinationMorphClass) beSmoothCurve; beOrthogonal: true! !

!SimpleConnectorMorph methodsFor: 'as yet unclassified' stamp: 'Richo 10/7/2008 18:20'!
addCustomMenuItems: aMenu hand: aHand 
"Esto evita que se aadan las opciones de connectors al men"
	^ aMenu! !

!SimpleConnectorMorph methodsFor: 'stepping' stamp: 'Richo 8/25/2009 10:19'!
controlConnections
	"No borrar, es muy importante!! Queda feo pero controla que se conecte
	slo a las clases indicadas y que se borre cuando est desconectado"
	(self sourceMorph isKindOf: sourceMorphClass)
		ifFalse: [self delete].
	(self destinationMorph isKindOf:  destinationMorphClass)
		ifFalse: [self delete]! !

!SimpleConnectorMorph methodsFor: 'no se si sirve' stamp: 'Richo 10/7/2008 15:25'!
handlesMouseOver: evt 
	^ false! !

!SimpleConnectorMorph methodsFor: 'no se si sirve' stamp: 'Richo 10/7/2008 15:25'!
handlesMouseOverDragging: evt 
	^ false! !

!SimpleConnectorMorph methodsFor: 'initialization' stamp: 'Richo 8/25/2009 10:21'!
initialize
super initialize.
sourceMorphClass := destinationMorphClass := Morph.
! !

!SimpleConnectorMorph methodsFor: 'testing' stamp: 'Richo 2/11/2009 13:44'!
isPlugged
	^ self sourceMorph notNil
		and: [self destinationMorph notNil]! !

!SimpleConnectorMorph methodsFor: 'private' stamp: 'Richo 8/25/2009 10:22'!
setSourceMorphClass: aClass destinationMorphClass: anotherClass
sourceMorphClass := aClass.
destinationMorphClass := anotherClass! !

!SimpleConnectorMorph methodsFor: 'stepping' stamp: 'Richo 10/7/2008 15:55'!
step
	super step.
	self controlConnections! !

!SimpleConnectorMorph methodsFor: 'stepping' stamp: 'Richo 10/9/2008 15:19'!
stepTime
^50! !

!SimpleConnectorMorph methodsFor: 'no se si sirve' stamp: 'Richo 10/7/2008 15:07'!
understandsBorderVocabulary
^false! !

!SimpleConnectorMorph methodsFor: 'no se si sirve' stamp: 'Richo 10/7/2008 18:21'!
wantsConnectionVocabulary
	^ false! !

!SimpleConnectorMorph methodsFor: 'no se si sirve' stamp: 'Richo 10/7/2008 15:04'!
wantsConnectorVocabulary
	^ false! !

!SimpleConnectorMorph methodsFor: 'no se si sirve' stamp: 'Richo 10/7/2008 18:21'!
wantsEmbeddingsVocabulary
	^ false! !
